Subject: Re: [PATCH] git-pasky spec file

From: Paul Dickson <[email-masked]>
Date: Mon, 25 Apr 2005 14:24:11 -0700

On Thu, 21 Apr 2005 19:48:34 -0700, Chris Wright wrote:

> * Petr Baudis ([email-masked]) wrote:
> > Dear diary, on Fri, Apr 22, 2005 at 03:55:21AM CEST, I got a letter
> > where Chris Wright <[email-masked]> told me that...
> > > Here's a simple spec file to do rpm builds.  It's against the
> > > latest Makefile (which has the s/BINDIR/bindir/ change).  I've used
> > > DESTDIR, although it's not clear it's meant to stay in the Makefile.
> > > For now, there's no dynamic (git.spec.in, for example) update to the
> > > Version, so it's set against 0.6.3 (expecting it to be forthcoming
> > > shortly).  It installs to /usr/local/bin, and expects the tarball to be
> > > named git-pasky-0.6.3.tar.bz2.  Creates a package named git, which seems
> > > fine since Linus' isn't likely to be packaged directly.  Enjoy.
> > 
> > Thanks, applied. I'll gladly yet you maintain this file, but...
> 
> No problem...
> 
> > > --- /dev/null	1969-12-31 16:00:00.000000000 -0800
> > > +++ git-pasky-0.6.3/git.spec	2005-04-21 18:42:18.000000000 -0700
> > > @@ -0,0 +1,43 @@
> > > +%install
> > > +rm -rf $RPM_BUILD_ROOT
> > > +make DESTDIR=$RPM_BUILD_ROOT/usr/local/ bindir=bin/ install
> > 
> > I doubt this is actually what you want. I suppose you want
> > 
> > make DESTDIR=$RPM_BUILD_ROOT prefix=/usr/local install
> 
> Yup, that makes more sense.  Feel free to update if you're so inclined.

If you're building an RPM, it should go in /usr not /usr/local.  /usr/local
is for unmanaged (non-RPM) installs.

	-Paul